Package relaxngcc.javabody

## Class TokenMgrError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - relaxngcc.javabody.TokenMgrError

- All Implemented Interfaces:
    `java.io.Serializable`

      public class TokenMgrError
      extends java.lang.Error

  Token Manager Error.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TokenMgrError()` | No arg constructor.
    `TokenMgrError​(boolean EOFSeen, int lexState, int errorLine, int errorColumn, java.lang.String errorAfter, char curChar, int reason)` | Full Constructor.
    `TokenMgrError​(java.lang.String message, int reason)` | Constructor with message and reason.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getMessage()` | You can also modify the body of this method to customize your error messages.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenMgrError

          public TokenMgrError()

      No arg constructor.

    - #### TokenMgrError

          public TokenMgrError​(java.lang.String message,
                               int reason)

      Constructor with message and reason.

    - #### TokenMgrError

          public TokenMgrError​(boolean EOFSeen,
                               int lexState,
                               int errorLine,
                               int errorColumn,
                               java.lang.String errorAfter,
                               char curChar,
                               int reason)

      Full Constructor.

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      You can also modify the body of this method to customize your error messages. For example, cases like LOOP_DETECTED and INVALID_LEXICAL_STATE are not of end-users concern, so you can return something like : "Internal Error : Please file a bug report .... " from this method for such cases in the release version of your parser.
      Overrides:
        `getMessage` in class `java.lang.Throwable`